<!DOCTYPE html>
<html>
<head>
	<title>HTML forms</title>
</head>
<body>
	<h2 align="center">Welcome to the Form Page</h2>

	<main>
		<section>
			<h2></h2>
			<p></p>
		</section>

		<section>
			<h2></h2>
			<p></p>
		</section>

		<section>

			<form action="https://google.com">

			<label for="fname">Full Name:</label>
			<br>
			<input type="text" id="fname" name="firstName" placeholder="First Name" required />
			<br>
			<!-- birtday -->

			<label for="bday">Birthday:</label>
			<br>
			<input type="date" name="bday" id="bday" required />

			<!-- age -->
			<br>

			<label for="ageInput">Age:</label>
			<br>
			<input type="number" name="age" id="ageInput" min="18" max="40" required />

			<br>
			<!-- gender -->

			<label for="genderInput">Gender:</label>
			<br>
			<select name="gender" id="genderInput">

			         <option value="male">Male</option>
			         <option value="female">Female</option>
			         <option value="other">Not to Mention</option>

			</select>

			<br>
			<!-- radio -->

			<label>New User?</label>
			<br>
			<input type="radio" name="new_user" id="radioUser1" value="yes">
			<label for="radioUser1">Yes</label>

			<br>

			<input type="radio" name="new_user" id="radioUser2" value="No">
			<label for="radioUser2">No</label>

			<br>

		<!-- checkbox -->

		<label>Roles</label>
		<br>

		<input type="checkbox" name="role1" id="roleInput1" value="developer">
		<label for="roleInput1">Developer</label> 
		<br>
		<input type="checkbox" name="role2" id="roleInput2" value="Students">
		<label for="roleInput2">Students</label>
		<br>
		<input type="checkbox" name="role3" id="roleInput3" value="Manager">
		<label for="roleInput3">Manager</label>
		<br>

		<!-- button -->

		<button type="submit">Submit</button>
		<button type="reset">Reset</button>

		<br>
		<label for="MessageInput">Message</label>
		<br>
		<textarea name="Message" rows="4" id="messageInput">
			
		</textarea>


			
			</form>
		</section>
	



	</main>
</body>
</html> 